Subject: bug#23791: 25.1.50; w32-shell-execute hangs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jun 2016 11:48:56 +0300

> Date: Sat, 18 Jun 2016 17:27:58 +0900
> From: Kazuhiro Ito <[email-masked]>
> 
> On MSYS2 64bit build from trunk and emacs-25 branch, emacs hangs when
> w32-shell-execute is called with "open" operation (no CPU usage, but
> not respond to C-g).
> 
> (w32-shell-execute "open" "D:/test.pdf")

I cannot reproduce this in a 32-bit build: I see no problem with
w32-shell-execute and PDF targets (or any other target I tried).

Can you step with a debugger into w32-shell-execute, and see where it
hangs?